from Foundation import *
import objc

# NSNotificationCenter.defaultCenter().postNotificationName_object_userInfo_ is kind of long to
# type. These simple aliases make life easier.

def post_notification(name, object, userinfo=None):
	NSNotificationCenter.defaultCenter().postNotificationName_object_userInfo_(
		name, object, userinfo)

def observe_notification(observer, name, selector, object=None):
	NSNotificationCenter.defaultCenter().addObserver_selector_name_object_(
		observer, selector, name, object)

def unobserve_notification(observer, name=None, object=None):
	NSNotificationCenter.defaultCenter().removeObserver_name_object_(observer, name, object)