from distutils.core import setup
import py2app
import sys, os, glob

os.chdir(os.path.dirname(os.path.abspath(__file__)))

main = "src/circuit/Circuit Editor.py"

source_files = glob.glob("src/circuit/circuit_*.py") + glob.glob("src/aux/*.py") + ["src/CE"]

resource_files = glob.glob("Resources/*")

includes = ["zlib"]

setup(
	app = [main],
	data_files = source_files + resource_files,
	options = {"py2app": {
		"includes": includes,
		}},
	)